=== debian/changelog ===
extra-cmake-modules (5.44.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.44.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Mar 2018 19:55:53 +0000

extra-cmake-modules (5.43.0-0ubuntu1) bionic; urgency=medium

  * Drop patch diasabling ECMToolchainAndroidTest test. Test removed
    upstream
  * New upstream release (5.43.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 11 Feb 2018 11:13:39 +0000

extra-cmake-modules (5.42.0-0ubuntu2) bionic; urgency=medium

  * Disable failing ECMToolchainAndroidTest test. KDE Bug 389519

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 27 Jan 2018 17:31:44 +0000

extra-cmake-modules (5.42.0-0ubuntu1) bionic; urgency=medium

  * Update build deps and metadata
  * New upstream release (5.42.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Jan 2018 22:19:38 +0000

extra-cmake-modules (5.41.0-0ubuntu1) bionic; urgency=low

  * New upstream release (5.41.0)

 -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 10 Dec 2017 22:02:35 -0600

extra-cmake-modules (5.40.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.39.0)
  * New upstream release (5.40.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Nov 2017 17:14:49 +0000
