## extra-cmake-modules 5.50.0

=== debian/changelog ===
extra-cmake-modules (5.50.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.50.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Sep 2018 22:11:20 +0100

extra-cmake-modules (5.49.0-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.48.0)
  * New upstream release (5.49.0)

  [ José Manuel Santamaría Lema ]
  * Move away from dhmk and set compat level to 11 in order to reduce
    delta with Debian

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 20:28:45 +0100

extra-cmake-modules (5.47.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.47.0)

  [ José Manuel Santamaría Lema ]
  * Merge with debian, notes:
    - keep using dhmk and dehbhelper compat level = 9, see:
      https://phabricator.kde.org/w/kubuntu/black-operations/pyramid/

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 15:47:27 +0100

extra-cmake-modules (5.46.0-1) unstable; urgency=medium

  * New upstream release (5.46.0).
  * Bump Standards-Version to 4.1.4.
  * Use https for the debian/copyright
  * Bump group breaks (5.46)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 May 2018 22:14:18 +0200

extra-cmake-modules (5.46.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.45.0)
  * New upstream release (5.46.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 15:54:40 +0100

extra-cmake-modules (5.45.0-1) unstable; urgency=medium

  * New upstream release (5.45.0).
  * Add python3-setuptools sphinx dependency
  * Bump group breaks (5.45)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 08:09:55 +0200

extra-cmake-modules (5.44.0-2) sid; urgency=medium

  * New revision
  * Add python3-distutils sphinx dependency
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 21 Mar 2018 17:54:05 +0100

extra-cmake-modules (5.44.0-1) sid; urgency=medium

  * New upstream release (5.44.0).
  * Bump group breaks (5.44)
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 21 Mar 2018 14:40:16 +0100

extra-cmake-modules (5.43.0-1) experimental; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.43.0).
  * Bump group breaks (5.43)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Feb 2018 11:42:57 +0100

extra-cmake-modules (5.42.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 10 Feb 2018 11:28:25 +0100

extra-cmake-modules (5.42.0-1) experimental; urgency=medium

  * New upstream release (5.42.0).
  * Add link options as-needed
  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Bump group breaks (5.42)
  * Bump Standards-Version to 4.1.3.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 02 Feb 2018 12:04:27 +0100

extra-cmake-modules (5.41.0-1) experimental; urgency=medium

  * New upstream release (5.41.0).
  * Use linktree to drop jquery and underscore
  * Bump Standards-Version to 4.1.2.
  * Bump group breaks (5.41)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Dec 2017 10:41:58 -0300

extra-cmake-modules (5.41.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 Dec 2017 14:43:51 +0000

extra-cmake-modules (5.40.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2017 12:56:19 +0000

extra-cmake-modules (5.39.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Oct 2017 11:38:34 +0000

extra-cmake-modules (5.38.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2017 13:25:29 +0000

extra-cmake-modules (5.37.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Aug 2017 15:11:59 +0000

extra-cmake-modules (5.36.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2017 12:41:34 +0000

extra-cmake-modules (5.35.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2017 20:36:00 +0000

extra-cmake-modules (5.34.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 May 2017 17:34:03 +0000

extra-cmake-modules (5.33.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Apr 2017 16:22:03 +0000

extra-cmake-modules (5.32.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 12 Mar 2017 13:20:54 +0000

extra-cmake-modules (5.31.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Feb 2017 14:33:55 +0000

extra-cmake-modules (5.30.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jan 2017 13:38:04 +0000

extra-cmake-modules (5.29.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Dec 2016 19:01:14 +0000

extra-cmake-modules (5.28.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Nov 2016 09:45:12 +0000

extra-cmake-modules (5.27.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Oct 2016 11:28:49 +0000

extra-cmake-modules (5.26.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Sep 2016 08:35:58 +0000

extra-cmake-modules (5.25.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 13 Aug 2016 20:15:08 +0000

extra-cmake-modules (5.24.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Jul 2016 07:41:57 +0000

extra-cmake-modules (5.23.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Jun 2016 09:38:44 +0000

extra-cmake-modules (5.22.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 17 May 2016 07:35:55 +0000

extra-cmake-modules (5.21.0-0neon) xenial; urgency=medium

  * New release


