=== debian/control ===
--- 
+++ 
@@ -1,18 +1,21 @@
 Source: extra-cmake-modules
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
-               debhelper (>= 9),
-               libqt5sql5-sqlite (>= 5.6.1~),
+               debhelper (>= 11~),
+               dh-linktree,
+               libjs-jquery,
+               libjs-underscore,
                pkg-kde-tools (>= 0.15.16~),
+               python3-distutils,
+               python3-setuptools,
                python3-sphinx,
                qtdeclarative5-dev (>= 5.6.1),
                qttools5-dev (>= 5.6.1),
-               qttools5-dev-tools (>= 5.6.1)
-Standards-Version: 4.1.0
+               qttools5-dev-tools (>= 5.6.1),
+Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/kdesupport/extra-cmake-modules
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/extra-cmake-modules
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/extra-cmake-modules
@@ -20,6 +23,7 @@
 Package: extra-cmake-modules
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: qt5-default
 Suggests: qt5-qmake, qtbase5-dev
 Description: Extra modules and scripts for CMake
  Extra CMake Modules, or ECM, aims to augment CMake with additional modules. It
