## extra-cmake-modules 5.54.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -32,7 +32,7 @@
 # Preliminary setup
 #
 
-set(VERSION "5.44.0") # handled by release scripts
+set(VERSION "5.54.0") # handled by release scripts
 
 if (POLICY CMP0048)
     cmake_policy(SET CMP0048 NEW)
