=== debian/changelog ===
extra-cmake-modules (5.54.0-1) unstable; urgency=medium

  [ Scarlett Gately Moore ]
  * Use neon cmake-ignore as it is neon specific.

  [ Maximiliano Curia ]
  * New upstream release (5.52.0).
  * New upstream release (5.53.0).
  * New upstream release (5.54.0).
  * Bump group breaks (5.54)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jan 2019 19:26:16 -0300

extra-cmake-modules (5.51.0-1) unstable; urgency=medium

  * New upstream release (5.50.0).
  * Bump group breaks (5.50)
  * New upstream release (5.51.0).
  * Bump group breaks (5.51)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Nov 2018 17:16:19 +0100

extra-cmake-modules (5.49.0-1) unstable; urgency=medium

  * New upstream release (5.48.0).
  * Update copyright information
  * New upstream release (5.49.0).
  * Bump group breaks (5.49)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Aug 2018 16:17:59 +0200

extra-cmake-modules (5.47.0-1) unstable; urgency=medium

  * testsuite: Run tests one at the time
  * New upstream release (5.47.0).
  * Bump group breaks (5.47)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Jun 2018 12:07:55 +0200
