=== debian/control ===
--- 
+++ 
@@ -12,13 +12,13 @@
                python3-distutils,
                python3-setuptools,
                python3-sphinx,
-               qtdeclarative5-dev (>= 5.6.1),
-               qttools5-dev (>= 5.6.1),
-               qttools5-dev-tools (>= 5.6.1),
+               qtdeclarative5-dev,
+               qttools5-dev (>= 5.4),
+               qttools5-dev-tools (>= 5.4),
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/kdesupport/extra-cmake-modules
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/extra-cmake-modules
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/extra-cmake-modules
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/extra-cmake-modules
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/extra-cmake-modules.git
 
 Package: extra-cmake-modules
 Architecture: any
@@ -35,3 +35,6 @@
  other projects will find it useful, and outside contributions are always
  welcome. The main rule for new modules is that there must be at least two
  downstream users.
+Breaks: libkf5package-dev (<< 5.54),
+        libkf5plasma-dev (<< 5.54),
+        libkf5runner-dev (<< 5.54),
