## extra-cmake-modules 5.56.0

=== debian/changelog ===
extra-cmake-modules (5.56.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.56.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 09 Mar 2019 16:34:05 +0000

extra-cmake-modules (5.55.0-0ubuntu3) disco; urgency=medium

  * Disable failing ECMPoQmToolsTest.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Feb 2019 11:21:09 +0000

extra-cmake-modules (5.55.0-0ubuntu2) disco; urgency=medium

  * Add upstream patch to fix building of test executable in
    ECMPoQmToolsTest.
    - debian/patches: upstream_fix-destroying-QThread.patch
  * Run tests one at the time.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 09 Feb 2019 22:30:03 +0000

extra-cmake-modules (5.55.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.55.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 09 Feb 2019 01:45:47 +0000

extra-cmake-modules (5.54.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.54.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 13 Jan 2019 12:33:24 +0000

extra-cmake-modules (5.53.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.53.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Dec 2018 20:47:17 +0000

extra-cmake-modules (5.52.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.51.0)

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.52.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 22 Nov 2018 14:40:54 +0000
