=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: extra-cmake-modules
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 11~),
@@ -23,7 +24,6 @@
 Package: extra-cmake-modules
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: qt5-default
 Suggests: qt5-qmake, qtbase5-dev
 Description: Extra modules and scripts for CMake
  Extra CMake Modules, or ECM, aims to augment CMake with additional modules. It
