=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,6 @@
 override_dh_auto_test:
 	# Disable dh_auto_test at build time
 	:
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
