## extra-cmake-modules 5.67.0

=== debian/changelog ===
extra-cmake-modules (5.67.0-0ubuntu2) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Feb 2020 08:22:51 +0100

extra-cmake-modules (5.67.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:47:51 +0000

extra-cmake-modules (5.66.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.66.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2020 13:16:58 +0000

extra-cmake-modules (5.65.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.65.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Dec 2019 22:56:50 +0000

extra-cmake-modules (5.64.0-0ubuntu1) focal; urgency=medium

  * Refresh patches.
  * New upstream release (5.64.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:22:25 +0000

extra-cmake-modules (5.63.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release (5.63.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 06 Oct 2019 12:08:10 +0000

extra-cmake-modules (5.62.0-0ubuntu2) focal; urgency=medium

  * Sync Debian test changes:
    - Disable autopkgtest.
  * Drop no longer needed kubuntu_disable-ECMPoQmToolsTest.patch 

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Oct 2019 08:45:00 +0000

extra-cmake-modules (5.62.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.62.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Sep 2019 08:04:51 +0100

extra-cmake-modules (5.61.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.61.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Aug 2019 10:40:24 +0100

extra-cmake-modules (5.60.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.60.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 20 Jul 2019 08:14:04 +0100

extra-cmake-modules (5.59.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.59.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 12 Jun 2019 11:17:18 +0100

extra-cmake-modules (5.58.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.58.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 13 May 2019 15:38:01 +0100

extra-cmake-modules (5.57.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.57.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Apr 2019 08:35:46 +0100
