## extra-cmake-modules 5.68.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,13 +26,13 @@
 # THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 #=============================================================================
 
-cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.5 FATAL_ERROR)
 
 #
 # Preliminary setup
 #
 
-set(VERSION "5.54.0") # handled by release scripts
+set(VERSION "5.68.0") # handled by release scripts
 
 if (POLICY CMP0048)
     cmake_policy(SET CMP0048 NEW)
