=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
DEB_CMAKE_CUSTOM_FLAGS += -DBUILD_QTHELP_DOCS=ON
export QT_SELECT=qt5

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CMAKE_CUSTOM_FLAGS)

override_dh_install:
	$(overridden_command)
	rm debian/extra-cmake-modules/usr/share/doc/ECM/html/_static/jquery.js
	ln -s /usr/share/javascript/jquery/jquery.js debian/extra-cmake-modules/usr/share/doc/ECM/html/_static/jquery.js
	rm debian/extra-cmake-modules/usr/share/doc/ECM/html/_static/underscore.js
	ln -s /usr/share/javascript/underscore/underscore.js debian/extra-cmake-modules/usr/share/doc/ECM/html/_static/underscore.js

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:
