## extra-cmake-modules 5.72.0+p18.04+git20200924.0651

=== debian/changelog ===
extra-cmake-modules (5.72.0+p18.04+git20200924.0651-0) bionic; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 24 Sep 2020 06:51:17 +0000

extra-cmake-modules (5.72.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Jul 2020 15:10:44 +0000

extra-cmake-modules (5.71.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 Jun 2020 18:46:53 +0000

extra-cmake-modules (5.70.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 May 2020 15:39:05 +0000

extra-cmake-modules (5.69.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Apr 2020 18:16:30 +0000

extra-cmake-modules (5.68.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Mar 2020 13:17:08 +0000

extra-cmake-modules (5.67.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2020 21:02:53 +0000

extra-cmake-modules (5.66.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Jan 2020 13:20:50 +0000

extra-cmake-modules (5.65.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Dec 2019 17:35:45 +0000

extra-cmake-modules (5.64.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 Nov 2019 13:54:15 +0000

extra-cmake-modules (5.63.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Oct 2019 21:12:19 +0000

extra-cmake-modules (5.62.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Sep 2019 11:14:59 +0000

extra-cmake-modules (5.61.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Aug 2019 18:48:25 +0000

extra-cmake-modules (5.60.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 13 Jul 2019 15:40:27 +0000

extra-cmake-modules (5.59.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Jun 2019 18:06:13 +0000

extra-cmake-modules (5.58.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 May 2019 13:12:17 +0000

extra-cmake-modules (5.57.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 Apr 2019 08:39:12 +0000

extra-cmake-modules (5.56.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Mar 2019 15:51:27 +0000

extra-cmake-modules (5.55.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 10 Feb 2019 22:29:46 +0000

extra-cmake-modules (5.54.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jan 2019 15:42:18 +0000

extra-cmake-modules (5.53.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Dec 2018 10:30:39 +0000

extra-cmake-modules (5.52.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 10 Nov 2018 16:16:39 +0000
